VirtualBox

Ticket #14866 (closed defect: fixed)

Opened 2 years ago

Last modified 17 months ago

Kernel modules fail to compile on latest RHEL 7.2 kernel

Reported by: adamcstephens Owned by:
Priority: blocker Component: other
Version: VirtualBox 5.0.10 Keywords:
Cc: Guest type: all
Host type: Linux

Description

kernel 3.10.0-327.el7 included with the latest RHEL 7.2 release includes backported code which is not supported by VirtualBox.

/tmp/vbox.0/linux/VBoxNetFlt-linux.c: In function ‘vboxNetFltLinuxPacketHandler’:
/tmp/vbox.0/linux/VBoxNetFlt-linux.c:928:9: error: implicit declaration of function ‘vlan_tx_tag_present’ [-Werror=implicit-function-declaration]
         if (vlan_tx_tag_present(pBuf) && skb_headroom(pBuf) >= VLAN_ETH_HLEN)
         ^
/tmp/vbox.0/linux/VBoxNetFlt-linux.c:938:13: error: implicit declaration of function ‘vlan_tx_tag_get’ [-Werror=implicit-function-declaration]
             pVHdr->h_vlan_TCI   = RT_H2N_U16(vlan_tx_tag_get(pBuf));

Changing version test in VBoxNetFlt-linux.c allowed kernel modules to compile and function.

Attachments

vbox-install.log.zip Download (254.3 KB) - added by oldguy 19 months ago.

Change History

comment:1 follow-up: ↓ 2 Changed 2 years ago by frank

Thanks for the report. Fixed in r58845. This fix will be part of the next 5.0 maintenance release.

comment:2 in reply to: ↑ 1 Changed 2 years ago by doktor5k

Replying to frank:

Thanks for the report. Fixed in r58845. This fix will be part of the next 5.0 maintenance release.

Is this already part in one of the test builds? Seems the el7 build has been added pretty recently, that wasn't available a few days ago when I checked.

comment:3 Changed 2 years ago by frank

  • Status changed from new to closed
  • Resolution set to fixed

It is.

Changed 19 months ago by oldguy

comment:4 Changed 19 months ago by oldguy

Still fails with Centos 6.7 when compiling modules for VirtualBox-5.0-5.0.20_106931_el6-1.x86_64 on kernel 2.6.32-642.el6.x86_64

/tmp/vbox.1/linux/VBoxNetFlt-linux.c: In function ‘vboxNetFltLinuxPacketHandler’:
/tmp/vbox.1/linux/VBoxNetFlt-linux.c:943: error: implicit declaration of function ‘vlan_tx_tag_present’
/tmp/vbox.1/linux/VBoxNetFlt-linux.c:953: error: implicit declaration of function ‘vlan_tx_tag_get’
make[2]: *** [/tmp/vbox.1/linux/VBoxNetFlt-linux.o] Error 1
make[1]: *** [_module_/tmp/vbox.1] Error 2
make: *** [vboxnetflt] Error 2
Last edited 19 months ago by frank (previous) (diff)

comment:5 Changed 19 months ago by frank

See #15423. The current 5.0 test builds contain the fix.

comment:6 Changed 19 months ago by oldguy

VirtualBox-5.0-5.0.21_107302_el6-1.x86_64.rpm installed without issue thanks.

comment:7 Changed 19 months ago by frank

Thanks for the confirmation!

comment:8 Changed 19 months ago by Chuck99

I'm still having this issue with Centos6 and kernel 2.6.32-642.el6.x86_64. Nothing I try (including installing DKMS and editing the VBoxNetFlt-linux.c file) works. It continues to fail building the vboxdrv.

Does anyone know how to fix this? Yum and RPM will not upgrade my Centos6 VirtualBox to version 5. Centos seems to be stuck on the VirtualBox-4.3-4.3.38_106717_el6-1.x86_64 version.

comment:9 Changed 19 months ago by frank

Chuck99, you might want to have at our test builds page.The el6 package on that page needs to be downloaded and installed manually as long as VBox 5.0.22 is not released.

comment:10 Changed 18 months ago by GilesC

Chuck99,

Virtualbox 5.0 is a different package to Virtualbox-4.3, for yum to install 5.0 you first need to uninstall via yum the Virtualbox-4.3 package.

If you don't want to uninstall 4.3, then just add a line like:

#define VBOX_HAVE_SKB_VLAN

to /usr/share/virtualbox/src/vboxhost/vboxnetflt/linux/VBoxNetFlt-linux.c

and re-run /etc/init.d/vboxdrv setup

comment:11 Changed 17 months ago by Erald

Problem is if you try to use VirtualBox 5.1 the existing VM's are not working anymore. So wanted to reinstall 4.3 and got the same problem as Chuck99. After 2 days searching I found this solution and now able to install 4.3 successfully. Pity enough I did not have the original installation package anymore. Also using the same Centos and kernel version.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use